@if (uiManager.navBarState$ | async; as navBarState) {
  @if (currentUser$ | async; as currentUser) {
    <div class="full-height nav-bar-width overflow-hidden">
      <ul
        nz-menu
        [nzMode]="'vertical'"
        nzTheme="dark"
        [nzInlineCollapsed]="navBarState.collapsed"
        class="full-height flex-column vertical-scroll"
      >
        <li class="home-workspace-link">
          <div class="full-height full-width flex">
            <div class="__hover_pointer m-10">
              @if (!navBarState.collapsed) {
                <a [routerLink]="['/home-workspace']">
                  <img
                    height="40px"
                    width="150px"
                    src="./assets/sqtm-core/icons/assets/sqtm-core-nav/logo-squash-standard-white.svg"
                  />
                </a>
              }
              @if (navBarState.collapsed) {
                <a [routerLink]="['/home-workspace']">
                  <img
                    height="40px"
                    width="40px"
                    src="./assets/sqtm-core/icons/assets/sqtm-core-nav/logo_squash_icon_white.svg"
                  />
                </a>
              }
            </div>
          </div>
        </li>
        <li>
          <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
        </li>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: { workspace: 'users', display: currentUser.admin }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: {
              workspace: 'projects',
              display: isAdminOrManageProject(currentUser)
            }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: {
              workspace: 'milestones',
              display: showMilestonesMenuItem$ | async
            }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: {
              workspace: 'entities-customization',
              display: currentUser.admin
            }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: { workspace: 'servers', display: currentUser.admin }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: {
              workspace: 'profiles',
              display: currentUser.admin || currentUser.clearanceManager
            }
          "
        ></ng-container>
        <ng-container
          *ngTemplateOutlet="
            administrationLink;
            context: {
              workspace: 'system',
              display: isAdminOrManageProject(currentUser)
            }
          "
        ></ng-container>
        <ng-template
          #administrationLink
          let-workspace="workspace"
          let-display="display"
        >
          @if (display) {
            <li
              class="sqtm-core-menu-item administration-workspace-link"
              nz-menu-item
              nz-tooltip
              nzTooltipPlacement="right"
              [nzTooltipTitle]="
                navBarState.collapsed ? getWorkspaceName(workspace) : ''
              "
              [nzSelected]="
                navBarState.currentWorkspace ===
                'administration-workspace-' + workspace
              "
            >
              <a
                title
                class="font-14-px nav-bar-title"
                [sqtmCorePlatformLink]="
                  getWorkspaceLink(workspace, currentUser.admin)
                "
                [attr.data-test-navbar-field-id]="'nav-bar-menu-' + workspace"
              >
                <i
                  nz-icon
                  class="font-20-px"
                  [nzType]="'sqtm-core-nav-admin:nav_' + workspace"
                >
                </i>
                <span>{{ getWorkspaceName(workspace) }}</span>
              </a>
            </li>
          }
        </ng-template>
        <li class="flex-column" style="flex-grow: 1">
          <div
            title
            (click)="toggleCollapsed()"
            [attr.data-test-element-id]="'sqtm-main-nav-bar-toggle-button'"
          >
            <i
              nz-icon
              [nzType]="navBarState.collapsed ? 'right' : 'left'"
              style="float: right"
              class="sqtm-nav-bar-toggle m-t-20"
              nz-tooltip="{{
                (navBarState.collapsed
                  ? 'sqtm-core.nav-bar.expand'
                  : 'sqtm-core.nav-bar.collapse'
                )
                  | translate
                  | capitalize
              }}"
              [nzTooltipOverlayStyle]="
                toggleButtonTooltipIsVisible ? {} : { display: 'none' }
              "
              (mouseenter)="toggleButtonTooltipIsVisible = true"
              (mouseleave)="toggleButtonTooltipIsVisible = false"
            ></i>
          </div>
        </li>
        <li>
          <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
        </li>
        <li class="flex full-width" [attr.data-test-navbar-field-id]="'exit'">
          <nz-avatar
            class="__hover_pointer admin-avatar"
            style="margin: 10px auto"
            [@.disabled]="true"
            nzIcon="sqtm-core-nav-admin:close"
            (click)="exitAdministration()"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.nav-bar.administration.exit' | translate
            "
            nzSize="large"
          ></nz-avatar>
        </li>
      </ul>
    </div>
  }
}
